@import 'styles/main.scss';

@font-face {
  font-family: 'Futura PT';
  src: local('Futura PT Medium'), local('Futura-PT-Medium'),
      url('/fonts/futura_pt/FuturaPT-Medium.woff2') format('woff2'),
      url('/fonts/futura_pt/FuturaPT-Medium.woff') format('woff'),
      url('/fonts/futura_pt/FuturaPT-Medium.ttf') format('truetype');
  font-weight: 500;
  font-style: normal;
}

@font-face {
  font-family: 'Futura PT';
  src: local('Futura PT Book'), local('Futura-PT-Book'),
      url('/fonts/futura_pt/FuturaPT-Book.woff2') format('woff2'),
      url('/fonts/futura_pt/FuturaPT-Book.woff') format('woff'),
      url('/fonts/futura_pt/FuturaPT-Book.ttf') format('truetype');
  font-weight: normal;
  font-style: normal;
}


html,
body {
  padding: 0;
  margin: 0;
  font-family: 'Futura PT';
  background: #F8F8F8;
}

a {
  color: inherit;
  text-decoration: none;
}

* {
  box-sizing: border-box;

  &::-webkit-scrollbar {
    width: 3px;
  }

  &::-webkit-scrollbar-track{
    background: #fff;
  }

  &::-webkit-scrollbar-thumb{
    background: #F4F4F4;
    border-radius: 4px;
  }
}

hr{
  display: block;
  border: none;
  background: #E1E1E1;
  height: 1px;
  width: 100%;
}


:root{
  font-size: 16px;
  -webkit-tap-highlight-color: rgba(0,0,0,0);
  -webkit-tap-highlight-color: transparent;
}

* {
  -webkit-font-smoothing: antialiased;
  -moz-osx-font-smoothing: grayscale;
}

h1, h2, h3, h4, h5, h6, p{
  display: block;
  padding: 0;
  margin: 0;
  font-weight: normal;
}

h1{
  font-size: 2em;
  letter-spacing: 0.02em;
  line-height: 100%;
}
h2{
  font-size: 1.75em;
  letter-spacing: 0.015em;
  line-height: 100%;
}
h3{
  font-size: 1.5em;
  letter-spacing: 0.012em;
  line-height: 100%;
}
p{
  font-size: 1em;
  letter-spacing: 0.01em;
  line-height: 100%;
}
span{
  font-size: 1em;
  letter-spacing: 0em;
  line-height: 100%;
}

a[href]:not(.noHover) {
  color: $dark-green;
  transition: 0.2s ease all;
  cursor: pointer;
  
  &:hover {
    filter: brightness(0.5);
  }
}


@media (max-width: 1023px) {
  :root{
    font-size: max(min(2.6vw, 16px), 10px);
  }
}

input[type="checkbox"] {
  width: 16px;
  height: 16px;
}